LogoopenSUSE Build Service > Projects
Sign Up | Log In

The YAML package

Provides support for parsing and emitting Yaml documents.

This package includes the full libyaml C library version 0.1.2 by Kirill Simonov (http://pyyaml.org/wiki/LibYAML) in the package so you don't need to worry about any non-Haskell dependencies.

The package is broken down into two modules. Data.Yaml provides a high-level interface based around the JSON datatypes provided by the aeson package. Text.Libyaml provides a lower-level, streaming interface. For most users, Data.Yaml is recommended. 

Source Files (show merged sources derived from linked package)

Filename Size Changed Actions
ghc-yaml.changes 9.12 KB Download File
ghc-yaml.spec 2.76 KB Download File
yaml-0.11.0.0.tar.gz 25.9 KB Download File

Comments for devel:languages:haskell (1)

repo-checker wrote over 1 year ago

The version of this package in openSUSE:Leap:15.0 has installation issues and may not be installable:

can't install ghc-yaml-devel-0.8.23.3-lp150.1.9.x86_64:
  package ghc-compiler-8.0.2-lp150.1.10.x86_64 requires gcc, but none of the providers can be installed
  package ghc-yaml-devel-0.8.23.3-lp150.1.9.x86_64 requires ghc-compiler = 8.0.2, but none of the providers can be installed
  package gcc-7-lp150.1.27.x86_64 requires gcc7, but none of the providers can be installed
  nothing provides libmpfr.so.4()(64bit) needed by gcc7-7.3.0+r257042-lp150.1.3.x86_64

Login required, please login or signup in order to comment